# SoarThreadWorker

[![Build Status](http://soar-ci.dev.auto-h.net:8080/job/soar_thread_worker/badge/icon)](http://soar-ci.dev.auto-h.net:8080/job/soar_thread_worker)

This gem provides the thread worker that workers in the SOAR architecture can extend from for threading purposes.

```ruby
class MyWorker < SoarThreadWorker::ThreadWorker
end
@worker = MyWorker.new
@worker.start
```

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'soar_thread_worker'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install soar_thread_worker

## Testing

Run the rspec test tests:

    $ bundle exec rspec -cfd spec

## Usage


## Detailed example


## Contributing

Bug reports and feature requests are welcome by email to barney dot de dot villiers at hetzner dot co dot za. This gem is sponsored by Hetzner (Pty) Ltd (http://hetzner.co.za)

## Notes


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
