# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'soar_thread_worker/version'

Gem::Specification.new do |spec|
  spec.name          = "soar_thread_worker"
  spec.version       = SoarThreadWorker::VERSION
  spec.authors       = ['Ernst van Graan', 'Barney de Villiers']
  spec.email         = ['ernst.van.graan@hetzner.co.za', 'barney.de.villiers@hetzner.co.za']

  spec.summary       = %q{Thread Worker for SOAR architecture}
  spec.description   = %q{Thread Worker for SOAR architecture providing basic thread operations}
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "byebug"
end
